<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    if($_SERVER['REQUEST_METHOD']=='GET'){
        $busca=$pdo_sgt->prepare("SELECT * FROM tb_offices WHERE id=:id");
        $busca->bindValue(":id",$_GET['id']);
        $busca->execute();
        $dados=$busca->fetch(PDO::FETCH_ASSOC);
    }elseif($_SERVER['REQUEST_METHOD']=='POST'){
        $id = isset($_POST["id"]) ? $_POST["id"]: '';
        $id = ($id);
        $busca_=$pdo_sgt->prepare("SELECT * FROM tb_offices WHERE id=:id");
        $busca_->bindValue(":id",$id);
        $busca_->execute();
        $dados_=$busca_->fetch(PDO::FETCH_ASSOC);
        $off_log = $dados_['office'];
        $atualizar=$pdo_sgt->prepare("DELETE FROM tb_offices WHERE id=:id");
        $atualizar->bindValue(":id",$id);
        $atualizar->execute();
        $mensagem = "Apagou da tabela: tb_offices a Office: $off_log com o ID: $id.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.location.href='list_off.php';
        </script>";
    }
?>